Subject: Re: [PATCH] drivers/net/ethernet/broadcom/bnx2.c

From: "Magnos A. Hammes" <[email-masked]>
Date: Thu, 01 May 2014 13:36:36 -0300

On 01-05-2014 02:39, Michael Chan wrote:
> On Thu, 2014-05-01 at 00:42 -0300, Magnos A. Hammes wrote:
>> Hello,
>>
>>
>> I have a Dell server with the following Broadcom gigabit network
>> adapter that uses the bnx2 driver:
>>
>>          01:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
>>          BCM5716 Gigabit Ethernet (rev 20)
>>
>> I was using kernel 3.2.57 and 3.13.3, but in both of them I faced some
>> trouble to make the ethernet adapter work, whatever version of this
>> two kernels that I try to boot I get the same error:
>>
>>          Can't load firmware file "bnx2/bnx2-mips-09-6.2.1b.fw"
>>          Direct firmware load failed with error -2
>>
> We no longer put the firmware in the kernel tree, so you need to
> download the firmware from the linux-firmware git tree:
>
> git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
>
>
>

Ok, I cloned that git tree and used the firmwares available there, but 
it didn't work with this firmware: bnx2/bnx2-mips-09-6.2.1b.fw sha1sum 
8f11b39a60a4e1dd3774a10218c913f1cb761353

It only works when I change the source code of 
"drivers/net/ethernet/broadcom/bnx2.c" and compile the kernel again, 
making him load this firmware "bnx2/bnx2-mips-09-6.2.1a.fw" instead of 
"bnx2/bnx2-mips-09-6.2.1b.fw".

Magnos A. Hammes